<form [formGroup]="form">
  <mat-radio-group name="daysAllWeekDays" class="d-flex flex-column" formControlName="type" (change)="changeType($event)" >
    <mat-radio-button value="daily" class="ngx-radio-button">
      <span>Every</span>
      <input class="repeat-on-every text-center ngx-rrule"
             type="number"
             formControlName="interval"
             style="width: 80px"
             appOnlyNumber isMin="true" min="1">
      <span>day(s)</span>
    </mat-radio-button>
    <mat-radio-button style="margin-top: 16px" value="workWeekDays" class="ngx-radio-button">Every weekday</mat-radio-button>
  </mat-radio-group>
</form>
